<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 501.30</title>
</head>

<body>

</body>
<script>
    function subtask1(x, y) {
        var a = [x];
        var numberOfElementInArray = (y - x) + 1;
        var temp = x;
        for (var i = 1; i < numberOfElementInArray; i++) {
            temp += 1;
            a[i] = temp;
        }
        console.log(a);
    }

    subtask1(-4, 12);

    function subtask2(a, b) {
        var gop = a.concat(b);
        for (var i = 0; i < gop.length; i++) {
            for (var ii = i + 1; ii < gop.length + 1; ii++) {
                if (gop[i] == gop[ii]) {
                    delete gop[ii];
                }
            }
        }
        console.log(gop);
    }
    var v1 = [1, 3, 4, 0];
    var v2 = [77, 0, 2, 1];
    subtask2(v1, v2);

    function subtask3(a, b) {
        var timeshown = 0;
        for (var i in a) {
            if (a[i] == b) {
                timeshown += 1;
            }
        }
        console.log(`Số lần xuất hiện: ${timeshown}`);
    }

    var v3 = [0, 0, 0, 11, 99, 191, 990, 99, 99, 99, 99, 99];
    subtask3(v3, 99);

    function subtask4(a) {
        var tong = 0;
        for (var i in a) {
            tong += a[i];
        }
        console.log(`Tổng các phần tử trong mảng: ${tong}`);
    }

    subtask4(v3);
    subtask4(v1);

    function subtask5(a) {
        var mangSoChan = [];
        for (var i in a) {
            if (a[i] % 2 == 0) {
                mangSoChan.push(a[i]);
            }
        }
        console.log(mangSoChan);
    }
    var v5 = [11, 33, 22, 32, 66, 76, 90, 2, 8, 99];
    subtask5(v5);

    function subtask6(a, b) {
        var mangTong = [];
        var sumAt = 0;
        for (var i in a) {
            for (var bI in b) {
                if (i == bI) {
                    sumAt = a[i] + b[bI];
                    mangTong.push(sumAt);
                }
            }
        }
        if(a.length > b.length){
            var soKhongDuocCong = a.length - b.length;
            var soBatDauKhongDuocCong = a.length - soKhongDuocCong;
            for(var ii = soBatDauKhongDuocCong; ii < a.length ; ii++){
                mangTong.push(a[ii]);
            }
        }
        if(a.length < b.length){
            var soKhongDuocCong = b.length - a.length;
            var soBatDauKhongDuocCong = b.length - soKhongDuocCong;
            for(var ii = soBatDauKhongDuocCong; ii < b.length ; ii++){
                mangTong.push(b[ii]);
            }
        }

        console.log(mangTong);

    }
    var v6 = [1, 0, 9];
    var v7 = [99];
    subtask6(v5, v6);
    subtask6(v7,v6);

    function subtask7(a){
        return a.filter((item,
            index) => a.indexOf(item) === index);
    }
 

    var v8 = [99,90,9 ,9 ,9, 77,79,77];
    console.log(subtask7(v8));

    function subtask8(a,b){
        return a.filter((item, index) => a.indexOf(item) === b.indexOf(item));

    }
    var v9 = [90,1,2,99,89];
    console.log(subtask8(v8,v9));

</script>

</html>